# net.ME1312.SubServers.Client.Bukkit.Network (SubServers.Client.Bukkit)

# Package net.ME1312.SubServers.Client.Bukkit.Network

Interface Summary
PacketIn: PacketIn Layout Class
PacketOut: PacketOut Layout Class

Class Summary
AES: A class to perform password-based AES encryption and decryption in CBC mode.
SubDataClient: SubData Direct Client Class

Enum Summary
SubDataClient.Encryption

Exception Summary
AES.InvalidAESStreamException: Thrown if an attempt is made to decrypt an invalid AES stream.
AES.InvalidKeyLengthException: Thrown if an attempt is made to encrypt a stream with an invalid AES key length.
AES.InvalidPasswordException: Thrown if an attempt is made to decrypt a stream with an incorrect password.
AES.StrongEncryptionNotAvailableException: Thrown if 192- or 256-bit AES encryption or decryption is attempted, but not available on the particular Java platform.